Package org.apache.sling.commons.log.logback.store

# Interface LogStore

All Known Implementing Classes:
  `LogStoreImpl`

@ProviderType public interface LogStore
Queriable store of structured log entries.

## Method Summary

Modifier and Type
Method
Description
`List<LogEntry>`
`getRecent(Pattern pattern, LogLevel minLevel, int maxEntries)`
Returns a list of `LogEntrie`s matching the specified parameters

## Method Details

### getRecent

List<LogEntry> getRecent(Pattern pattern, LogLevel minLevel, int maxEntries)
Returns a list of `LogEntrie`s matching the specified parameters

Parameters:
  `pattern` - the pattern to match against all the text-based fields of the log entry. Ignored if `null`.
  `minLevel` - the minimum level of the log entries. Defaults to `LogLevel.TRACE` if `null`.
  `maxEntries` - the maximum entries to return. Clamped to 1 if needed.
Returns:
  a list of entries matching the parameters. May be empty but not `null`